# Copyright 2022 IDRIS / jupyter
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

---

- name: make sure /etc/systemd/system/service.service.d exists
  file:
    path: "{{ item }}"
    state: directory
    owner: root
    group: root
    mode: 0755
  become: true
  with_items:
    - "/etc/systemd/system/jupyterhub-proxy.service.d"
    - "/etc/systemd/system/jupyterhub.service.d"

- name: create configurable http proxy environment file for systemd service
  template:
    src: jupyterhub-proxy-env.conf.j2
    dest: /etc/systemd/system/jupyterhub-proxy.service.d/jupyterhub-proxy-env.conf
    owner: root
    group: root
    mode: 0640
  become: true

- name: create jupyterhub environment file for systemd service
  template:
    src: jupyterhub-env.conf.j2
    dest: /etc/systemd/system/jupyterhub.service.d/jupyterhub-env.conf
    owner: root
    group: root
    mode: 0640
  become: true
  
- name: install jupyterhub-proxy system unit file
  template:
    src: jupyterhub-proxy.service.j2
    dest: /etc/systemd/system/jupyterhub-proxy.service
    owner: root
    group: root
    mode: 0644
  become: true
  notify:
    - restart jupyterhub-proxy
   
- meta: flush_handlers

- name: install jupyterhub system unit file
  template:
    src: jupyterhub.service.j2
    dest: /etc/systemd/system/jupyterhub.service
    owner: root
    group: root
    mode: 0644
  become: true
  notify:
    - restart jupyterhub
